Subject: Fwd: [Editorial Errata Reported] RFC4253 (4721)

From: Stephen Farrell <[email-masked]>
Date: Mon, 27 Jun 2016 11:58:54 +0100

FYI. If folks tell me to, I'll approve this erratum. If
they tell me to not approve it I'll do that. If silence
ensues... I'll do nothing:-)

Cheers,
S.

PS: The above is my default mode of operation for errata.

-------- Forwarded Message --------
Subject: [Editorial Errata Reported] RFC4253 (4721)
Date: Mon, 27 Jun 2016 03:55:27 -0700 (PDT)
From: RFC Errata System <[email-masked]>
To: [email-masked], [email-masked], [email-masked],
[email-masked], [email-masked]
CC: [email-masked], [email-masked]

The following errata report has been submitted for RFC4253,
"The Secure Shell (SSH) Transport Layer Protocol".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4253&eid=4721

--------------------------------------
Type: Editorial
Reported by: Oleg Andriyanov <[email-masked]>

Section: 5.3

Original Text
-------------
   o  The minimum size of a TCP/IP header is 32 bytes.  Thus, the
      increase is actually from 33 to 51 bytes (roughly).

   o  The minimum size of the data field of an Ethernet packet is 46
      bytes [RFC0894].  Thus, the increase is no more than 5 bytes.
      When Ethernet headers are considered, the increase is less than 10
      percent.

Corrected Text
--------------
   o  The minimum size of a TCP/IP header is 32 bytes.  Thus, the
      increase is actually from 33 to 60 bytes (roughly).

   o  The minimum size of the data field of an Ethernet packet is 46
      bytes [RFC0894].  Thus, the increase is no more than 14 bytes.
      When Ethernet headers are considered, the increase is less than 25
      percent.

Notes
-----
As the minimum size of SSH message is 28, the minimum size of the TCP
segment containing SSH message must be 32 + 28 == 60 bytes (as opposed
to 32 + 1 in case of transmission of plain text over TCP).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary.

--------------------------------------
RFC4253 (draft-ietf-secsh-transport-24)
--------------------------------------
Title               : The Secure Shell (SSH) Transport Layer Protocol
Publication Date    : January 2006
Author(s)           : T. Ylonen, C. Lonvick, Ed.
Category            : PROPOSED STANDARD
Source              : Secure Shell
Area                : Security
Stream              : IETF
Verifying Party     : IESG